/**
 *Class Description:
 *
 */
package com.sinovatech.unicom.push.response;

import java.util.List;

import com.sinovatech.unicom.push.model.Message;

/**
 * 响应体
 * 
 * @author minghui.dai
 * 
 *         2012-8-14 上午11:55:04
 */
public class RespBody {

	/**
	 * 客户端设备标识
	 */
	private String deviceId;

	/**
	 * 响应类型
	 */
	private String respType;

	/**
	 * 返回码(0000:成功 其它编码:失败-
	 */
	private String respCode;

	/**
	 * 响应描述-
	 */
	private String respDesp;

	/**
	 * 扩展节点
	 */
	private Object extNode;

	/**
	 * 消息对象
	 */
	private List<Message> messages;

	public String getDeviceId() {
		return deviceId;
	}

	public void setDeviceId(String deviceId) {
		this.deviceId = deviceId;
	}

	public String getRespType() {
		return respType;
	}

	public void setRespType(String respType) {
		this.respType = respType;
	}

	public String getRespCode() {
		return respCode;
	}

	public void setRespCode(String respCode) {
		this.respCode = respCode;
	}

	public String getRespDesp() {
		return respDesp;
	}

	public void setRespDesp(String respDesp) {
		this.respDesp = respDesp;
	}

	public List<Message> getMessages() {
		return messages;
	}

	public void setMessages(List<Message> messages) {
		this.messages = messages;
	}

	public Object getExtNode() {
		return extNode;
	}

	public void setExtNode(Object extNode) {
		this.extNode = extNode;
	}

}
