var JSBridge = {
    YHXXJSInterfaceUniqueId:1,
    registerActionDict:{},
    callBackHandlerDict:{},
    "call":function(){
        var action=arguments[0];
        var parms=arguments[1];
        var callbackFunction=arguments[2];
        if(!callbackFunction){
            if(typeof parms == 'function')
            {
                callbackFunction = parms;
            }
        }
        //wyt test 20200306 log
        let logStr = `action:${action},parms:${JSON.stringify(parms)},callbackFunction:${callbackFunction}`
        console.log('call params',logStr)

        var callParms = {"action":action,"parameter":parms}
        if(typeof callbackFunction=="function"){
            var callBackId=this.getUniqueId();
            JSBridge.callBackHandlerDict[callBackId]=callbackFunction;
            callParms["actionCallBackId"]=callBackId
        }
        var message
        try{
            message = JSON.stringify(callParms);
        }catch(err){
            alert('YH参数异常：001');
            return;
        }
          js_invoke.exec(message);

//        window.JSBridge.postMessage(message);
    },
    "execCallBackAction":function(callBackParms){
        var callBackParmsObj=JSON.parse(callBackParms);
        if(typeof callBackParmsObj.actionCallBackId=="string"&&callBackParmsObj.actionCallBackId.length>0){
            var jsCallBackMethod_new=this.callBackHandlerDict[callBackParmsObj.actionCallBackId];
            if(!jsCallBackMethod_new){return}
            setTimeout(jsCallBackMethod_new(callBackParmsObj.parameter),0);
            var isKeepAlive = callBackParms.isKeepAlive;
            if (isKeepAlive == "0")
            {
                delete this.callBackHandlerDict[callBackParmsObj.actionCallBackId];
            }
        }else{
            alert("YH未找到方法："+callBackParmsObj.action)
        }
    },
    "addEventListener":function(handlerName,handler){
        this.registerActionDict[handlerName]=handler
    },
    "removeEventListener":function(handlerName){
        delete this.registerActionDict[handlerName]
    },
    "eventListenerAction":function(){
        var parmsObj=JSON.parse(arguments[0]);
        if(typeof parmsObj.action=="string"){
            var registActionMethod=this.registerActionDict[parmsObj.action];
            if(typeof registActionMethod=="function"){
                setTimeout(registActionMethod(parmsObj.parameter),0)
            }
        }
    },
    "getUniqueId":function(){
        JSBridge.YHXXJSInterfaceUniqueId++;
        var tmp_id="YHXXJSInterface_"+JSBridge.YHXXJSInterfaceUniqueId.toString()+"_"+new Date().getTime();
        return tmp_id
    }
};
