/**
 *Class Description:
 *
 */
package com.sinovatech.unicom.push.response;

/**
 * 响应头
 * 
 * @author minghui.dai
 * 
 *         2012-8-14 上午11:54:50
 */
public class RespHead {

	/**
	 * 请求流水
	 */
	private String procId;

	/**
	 * 加密前源UUID
	 */
	private String srcCode;

	/**
	 * UUID与密钥加密后的内容
	 */
	private String aesStr;

	/**
	 * 所使用密钥在加密字典中的索引
	 */
	private String aesIndex;

	/**
	 * 请求接口编码(PUSH0000:注册 PUSH0001:推送)
	 */
	private String bipCode;

	/**
	 * 客户端版本号
	 */
	private String version;

	/**
	 * 扩展节点
	 */
	private Object extNode;

	public String getProcId() {
		return procId;
	}

	public void setProcId(String procId) {
		this.procId = procId;
	}

	public String getSrcCode() {
		return srcCode;
	}

	public void setSrcCode(String srcCode) {
		this.srcCode = srcCode;
	}

	public String getAesStr() {
		return aesStr;
	}

	public void setAesStr(String aesStr) {
		this.aesStr = aesStr;
	}

	public String getAesIndex() {
		return aesIndex;
	}

	public void setAesIndex(String aesIndex) {
		this.aesIndex = aesIndex;
	}

	public String getBipCode() {
		return bipCode;
	}

	public void setBipCode(String bipCode) {
		this.bipCode = bipCode;
	}

	public Object getExtNode() {
		return extNode;
	}

	public void setExtNode(Object extNode) {
		this.extNode = extNode;
	}

	public String getVersion() {
		return version;
	}

	public void setVersion(String version) {
		this.version = version;
	}

}
